# OpenBoard
[![latest release](https://img.shields.io/github/v/release/OpenBoard-org/openboard.svg)]()
[![Commits since last release](https://img.shields.io/github/commits-since/OpenBoard-org/openboard/v1.6.4/dev)]()
![GitHub Repo stars](https://img.shields.io/github/stars/OpenBoard-org/openboard)
![GitHub Repo forks](https://img.shields.io/github/forks/OpenBoard-org/openboard)
[![Github Repo Contributors](https://img.shields.io/github/contributors/OpenBoard-org/openboard.svg)]()
[![downloads latest release](https://img.shields.io/github/downloads/OpenBoard-org/openboard/v1.6.4/total)]()
[![Github All Releases](https://img.shields.io/github/downloads/OpenBoard-org/OpenBoard/total.svg)]()

OpenBoard is an open source cross-platform interactive white board application designed primarily for use in schools. It was originally forked from Open-Sankoré, which was itself based on Uniboard.

### Installing
1.6.4 installers are available for Windows, OS X and Ubuntu on the [Download's page](https://github.com/OpenBoard-org/OpenBoard/wiki/Downloads). 1.7.0 installers will be available during the fall of 2023.

### Supported platforms 

| Version   | officially maintained platforms | 
|------------|--------------------------------------------------------|
| 1.6.4 (latest stable)     | Windows 10+, macOS 10.13+ (and partial support via emulation on `arm64` chips), Ubuntu 20.04, Ubuntu 22.04  |
| 1.7.0 (active development)     | Windows 10+, macOS 12+ (for both `x64_64` and `arm64`), Ubuntu 20.04, Ubuntu 22.04 |

### Communnity-driven packages
On Linux, Ubuntu is the only officially maintained platform. For other platforms, you can thank the awesome community of OpenBoard that provides some cool stuff like a FlatHub package, or OpenSuse support. Check on [this page](https://github.com/OpenBoard-org/OpenBoard/wiki/Downloads) to see if you find what you're looking for. If you actually want to provide support and to be referenced on this page, please open an issue with the relevant information, and we'll be glad to add your contribution.

### Building from source
If you didn't find any installer for your platform, or if you want to modify OpenBoard, you can find instructions on how to build OpenBoard from source on the [wiki](https://github.com/OpenBoard-org/OpenBoard/wiki/Build-OpenBoard-from-source).

### Qt support
OpenBoard can be compiled with the latest open source binaries of Qt 5.15 and Qt 6. On macOS, it is recommended to use Qt 6. You should also be able to compile OpenBoard using Qt 5.12, but it is not officially tested/supported.
